Subject: AW: [Sigtran] (M2PA) Comments on M2PA v8 - Last Call

From: Schwarzbauer Hanns Juergen <[email-masked]>
Date: Fri, 9 May 2003 14:22:37 +0200

Brian,

I'm not sure whether simple repeating a definition is already a vialation of a copyright. I would leave this to the lawyers...
If we generally worry about this, our documents will seriously suffer regarding clarity.

My proposal is that Lyndon clarifies such potential copyright issues with the RFC editor and we keep the definitions for SP, SEP and STP in the current version of the document.

HannsJuergen

> -----Ursprüngliche Nachricht-----
> Von: Brian F. G. Bidulock [mailto:[email-masked]]
> Gesendet: Freitag, 9. Mai 2003 11:18
> An: Schwarzbauer Hanns Juergen
> Cc: 'Tom George'; SIGTRAN e-mail list
> Betreff: Re: [Sigtran] (M2PA) Comments on M2PA v8 - Last Call
> 
> 
> Schwarzbauer,
> 
> On Fri, 09 May 2003, Schwarzbauer Hanns Juergen wrote:
> 
> > Brian,
> > 
> > might be a good idea, but repeating exactly the Q.700 
> definitions saves time
> > and money (as ITU-T does not provide free copies of their 
> Recommendations).
> 
> Repeating exactly could result in a breach of copyright.  
> Will the IETF get
> permission from ITU for copying verbatim exerpts from Q.700?  
> Would the IETF
> copyright statement then apply?  Will the resulting draft 
> conform to  RFC 2026?
> 
> I think not to all the above.  One of the reasons for 
> removing statements
> already in Q.703 was to avoid copyright issues.
> 
> --brian
> 
> > 
> > You are right that M2PA from a procedural point has to 
> refer to Q.703, but
> > in sections it deals with architecture something more seem adequate.
> > 
> > greetings
> > 
> > HannsJuergen
> > 
> > > -----Ursprüngliche Nachricht-----
> > > Von: Brian F. G. Bidulock [mailto:[email-masked]]
> > > Gesendet: Freitag, 9. Mai 2003 10:08
> > > An: Schwarzbauer Hanns Juergen
> > > Cc: 'Tom George'; SIGTRAN e-mail list
> > > Betreff: Re: [Sigtran] (M2PA) Comments on M2PA v8 - Last Call
> > > 
> > > 
> > > Hanns,
> > > 
> > > Q.700 defines a Signalling Point (SP) as an SS7 node at which 
> > > it is irrelevant
> > > whether it has a "User Function" or "STP Function".
> > > 
> > > IMO the definitions for SEP and STP could be removed and 
> > > Q.700 referenced.
> > > M2PA does not need to redefine all SS7 terms, particularly as 
> > > it is relying
> > > on Q.703 (and variants) for procedures.
> > > 
> > > --brian
> > > 
> > > On Fri, 09 May 2003, Schwarzbauer Hanns Juergen wrote:
> > > 
> > > > Tom,
> > > > 
> > > > I agree with you and would propose to add one additional 
> > > para to section 1.2 Terminology.
> > > > 
> > > > Signaling Point (SP) A node in an SS7 network that not only 
> > > originates/terminates but also routes SS7 signaling messages. 
> > > It comprises both, the SEP and the STP functionality.
> > > > 
> > > > I think this definition was missing nevertheless.
> > > > 
> > > > greetings
> > > > 
> > > > HannssJuergen
> > > > 
> > > > > -----Ursprüngliche Nachricht-----
> > > > > Von: Tom George [mailto:[email-masked]]
> > > > > Gesendet: Donnerstag, 8. Mai 2003 17:40
> > > > > Cc: SIGTRAN e-mail list
> > > > > Betreff: Re: AW: AW: [Sigtran] (M2PA) Comments on M2PA v8 
> > > - Last Call
> > > > > 
> > > > > 
> > > > > Hanns,
> > > > > 
> > > > > That is more than the figure is intended to show. The 
> > > figure is just
> > > > > there to show the relationship between SCTP associations and 
> > > > > M2PA links.
> > > > > There may be links between IPSP Y and IPSP Z. I would not 
> > > want to make
> > > > > any comment about what kind of network elements are 
> > > present in Figures
> > > > > 8-10. So I use the most general term, SP. 
> > > > > 
> > > > > tomG.
> > > > > 
> > > > > Schwarzbauer Hanns Juergen wrote:
> > > > > > 
> > > > > > Tom,
> > > > >   [...]
> > > > > > One additional remark: M2PA draft shows in figure 9 an IPSP 
> > > > > X connected
> > > > > > with two other IPSPs denoted Y and Z.
> > > > > > In case IPSP Z wants to communicate with IPSP Y, IPSP X  
> > > > > acts as an STP.
> > > > > > I could imagine to state this in an additional sentence on 
> > > > > page 23, e.g.
> > > > > > "Note that IPSP X acts as STP in case IPSP Z communicates 
> > > > > with IPSP Y"
> > > > > > 
> > > > > > Greetings
> > > > > > 
> > > > > > HannsJuergen
> > > > >   [...]
> > > > > 
> > > > > -- 
> > > > > * Tom George       PB7-24001 (near B-21)      
> > > > > [email-masked]  *
> > > > > * 972-519-3168   Intranet:  
> > > > http://www.ssd.usa.alcatel.com/~tgeorge/  *
> > > > * Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, 
> > > Texas 75075  *
> > > > * I actively disclaim speaking for Alcatel USA, Inc. I do 
> > > not purport *
> > > > * to advertise or represent its position,  operations, or 
> > > activities. *
> > > > _______________________________________________
> > > > Sigtran mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/sigtran
> > > > _______________________________________________
> > > > Sigtran mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/sigtran
> > > 
> > > -- 
> > > Brian F. G. Bidulock    ¦ The reasonable man adapts 
> himself to the ¦
> > > [email-masked]    ¦ world; the unreasonable one 
> persists in  ¦
> > > http://www.openss7.org/ ¦ trying  to adapt the  world  to 
> himself. ¦
> > >                         ¦ Therefore  all  progress  
> depends on the ¦
> > >                         ¦ unreasonable man. -- George 
> Bernard Shaw ¦
> > > 
> 
> -- 
> Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
> [email-masked]    ¦ world; the unreasonable one persists in  ¦
> http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
>                         ¦ Therefore  all  progress  depends on the ¦
>                         ¦ unreasonable man. -- George Bernard Shaw ¦
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 9 May 2003 14:21:59 -0600

Schwarzbauer,

Paraphrasing would not, I suppose, but you said "repeating exactly" which,
without written permission, is an obvious, and blantant, breach of copyright.

--brian

---

From: Tom George <[email-masked]>
Date: Fri, 09 May 2003 15:51:44 -0500

Hanns, Brian, et. al.,

I like the idea of referring to Q.700 for the definitions. So I could
change the definition of STP to 

Signal Transfer Point (STP) - A Signal Transfer Point as defined by MTP
standards, e.g., [Q.700].

I could add a definition of SP:

Signaling Point (STP) - A Signaling Point as defined by MTP standards,
e.g., [Q.700].

SEP is trickier, since the term is used in Q.700, but not defined. I
copied the definition from RFC 2719. I would like to reword it slightly:

Signaling End Point (SEP) - An SS7 Signaling Point that originates
or terminates signaling messages.  One example is a central office
switch. [RFC2719]

tomG.

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Tom George <[email-masked]>
Date: Fri, 16 May 2003 16:21:59 -0500

No one commented on this. Can I take that as a positive indication? 8-)

tomG.

  [...]